---
search:
  tags:
    - Inboxes
    - GET
seo:
  description: >-
    By id, or by its email address (case-insensitive). An expired inbox is not
    found. Reference for the GET /inboxes/{inbox_id} endpoint in the BillionSend
    API.
sidebar:
  label: Retrieve an inbox
  badge: GET
title: Retrieve an inbox
type: openapi-operation
---
By id, or by its email address (case-insensitive). An expired inbox is not found.

`GET /inboxes/{inbox_id}`

**Responses**

- `200` — Inbox
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "inbox",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "email_address": "string",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "receiving_address": "string",
  "from_name": "string",
  "unread": 0,
  "drafts": 0,
  "last_received": "string",
  "created_at": "string",
  "updated_at": "string",
  "kind": "agent",
  "shared": true,
  "expires_at": "string",
  "quarantined": 0,
  "pending_approval": 0
}
```
